PayZuPayZu Docs

Defense detail

GET
/user/infractions/{infractionId}/defenses/{defenseId}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

infractionId*string

Infraction ID

defenseId*string

Defense ID

Header Parameters

Content-Type*string

Obrigatório em toda chamada PayZu.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

curl -X GET "https://api.payzu.processamento.com/v1/user/infractions/string/defenses/string" \  -H "Content-Type: application/json"
{
  "id": "defense_id",
  "defense": "Esta transação foi devidamente autorizada.",
  "status": "DEFENDED",
  "infractionId": "infraction_123",
  "createdAt": "2024-01-16T14:20:00Z",
  "updatedAt": "2024-01-17T09:15:00Z",
  "files": [
    {
      "name": "evidencia1.pdf",
      "size": 245760,
      "mimeType": "application/pdf",
      "url": "https://storage.googleapis.com/bucket/signed-url-1"
    }
  ]
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}